﻿Imports System.Configuration

Public Class AccountHttpClient
    Inherits LuxApiHttpClient

    Public Sub New()
        MyBase.New()
        requestPath = ConfigurationManager.AppSettings("AccountPath")
    End Sub
    'Get account profile
    Public Async Function GetProfile(ByVal path As String, ByVal authenticationCode As String, ByVal hmacSignature As String) As Task(Of LuxSciResponse)
        requestPath = path
        GetHTTPClient(GetHttpClientHandler(authenticationCode, hmacSignature))
        Return Await GetDataAsync()
    End Function
    'Create Alias
    Public Async Function CreateAlias(ByVal path As String, ByVal authenticationCode As String, ByVal hmacSignature As String, ByVal [alias] As AliasRequest) As Task(Of LuxSciResponse)
        requestPath = path
        GetHTTPClient(GetHttpClientHandler(authenticationCode, hmacSignature))
        Return Await PostAsJsonAsync([alias])
    End Function
    'Get email send report
    Public Async Function GetEmailSentReport(ByVal path As String, ByVal authenticationCode As String, ByVal hmacSignature As String) As Task(Of LuxSciResponse)
        requestPath = path
        GetHTTPClient(GetHttpClientHandler(authenticationCode, hmacSignature))
        Return Await GetDataAsync()
    End Function
End Class
